La aplicación requiere tener instalado el Java Versión 6 o superior.

Puedes descargrlo para windows aqui: Java 6u32 para Windows
Para otra version puedes obtenerlo desde: http://www.oracle.com/technetwork/java/javase/downloads/jre-6u32-downloads-1594646.html sección "Descargas"